#ifndef CLICKABLETABLEVIEW_H
#define CLICKABLETABLEVIEW_H

#include <QTableView>
#include <QMouseEvent>
#include <QDebug>

class ClickableTableView : public QTableView {
    Q_OBJECT
public:
    explicit ClickableTableView(QWidget *parent = nullptr);
    void mouseReleaseEvent(QMouseEvent *event) override;
    void displayRowData(int row);
};

#endif // CLICKABLETABLEVIEW_H
